summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorVanessa Rene Valderrama <vvalderrama@linuxfoundation.org>2017-06-28 16:43:54 +0000
committerGerrit Code Review <gerrit@fd.io>2017-06-28 16:43:54 +0000
commit3175d73a01308a580a2d6323302a5c9ae04d2edf (patch)
tree8b3849ed2615c24ec168a0568b9230f2a0c337a8
parent2c7a5892a9ef2e66ea19f251247a982fc45dddc4 (diff)
parent49b3c4b1d62eb9a4ee2c9fd7aee845c5a5fcdab3 (diff)
Merge " patch for the tldk.yaml"
-rw-r--r--jjb/tldk/include-raw-csit-tldk-functional-virl.sh11
-rw-r--r--jjb/tldk/tldk.yaml3
2 files changed, 12 insertions, 2 deletions
diff --git a/jjb/tldk/include-raw-csit-tldk-functional-virl.sh b/jjb/tldk/include-raw-csit-tldk-functional-virl.sh
index 1f57e8255..0192a125b 100644
--- a/jjb/tldk/include-raw-csit-tldk-functional-virl.sh
+++ b/jjb/tldk/include-raw-csit-tldk-functional-virl.sh
@@ -1,13 +1,22 @@
#!/bin/bash
set -xeu -o pipefail
+# Clone tldk and start tests
+git clone https://gerrit.fd.io/r/tldk
+
+# If the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+ echo "Failed to run: git clone https://gerrit.fd.io/r/tldk"
+ exit 1
+fi
+
# Clone csit and start tests
git clone https://gerrit.fd.io/r/csit
# If the git clone fails, complain clearly and exit
if [ $? != 0 ]; then
echo "Failed to run: git clone https://gerrit.fd.io/r/csit"
-exit
+ exit 1
fi
cd csit
diff --git a/jjb/tldk/tldk.yaml b/jjb/tldk/tldk.yaml
index 3f86e96a2..766e0a724 100644
--- a/jjb/tldk/tldk.yaml
+++ b/jjb/tldk/tldk.yaml
@@ -199,9 +199,10 @@
build-timeout: '{build-timeout}'
triggers:
- - gerrit-trigger-patch-submitted:
+ - gerrit-trigger-manually-triggered:
name: '{project}'
branch: '{branch}'
+ comment-trigger-value: 'verify-tldk-func'
builders:
- shell: